# Class: MoneroIntegratedAddress

## MoneroIntegratedAddress()

Monero integrated address model.

## Constructor

#### new MoneroIntegratedAddress()

Source:
  - src/main/js/wallet/model/MoneroIntegratedAddress.js, line 4

### Methods

#### getIntegratedAddress()

Source:
  - src/main/js/wallet/model/MoneroIntegratedAddress.js, line 32

#### getPaymentId()

Source:
  - src/main/js/wallet/model/MoneroIntegratedAddress.js, line 23

#### getStandardAddress()

Source:
  - src/main/js/wallet/model/MoneroIntegratedAddress.js, line 14

#### setIntegratedAddress()

Source:
  - src/main/js/wallet/model/MoneroIntegratedAddress.js, line 36

#### setPaymentId()

Source:
  - src/main/js/wallet/model/MoneroIntegratedAddress.js, line 27

#### setStandardAddress()

Source:
  - src/main/js/wallet/model/MoneroIntegratedAddress.js, line 18

#### toJson()

Source:
  - src/main/js/wallet/model/MoneroIntegratedAddress.js, line 10

#### toString()

Source:
  - src/main/js/wallet/model/MoneroIntegratedAddress.js, line 41